﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util

@Html.Raw(Convert.ToString(TempData["msg"]))
@Html.Partial("_PartialShipment")


<div class="content">
    <table  >
            <td>
                <fieldset style="border:2px;border-style:outset;height:53px;">
                    <table border = "0">
                        <tr>

                            <td>
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Part No";
                                    label.Width = 47;
                                }).GetHtml()
                            </td>
                            <td style="width:7px"></td>
                            <td>
                                @Html.DevExpress().TextBox(
                                 settings =>
                                 {
                                     settings.Name = "HeaderPartNo";
                                     settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                     settings.Width = 100;

                                 }
                    ).GetHtml()
                            </td>
                            <td style="width:30px"></td>
                            <td>
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Order No";
                                    label.Width = 55;

                                }).GetHtml()
                            </td>
                            <td style="width:7px"></td>
                            <td>
                                @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "HeaderOrderNo";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Width = 100;

                                }).GetHtml()
           
                            </td>
                            <td style="width:30px"></td>
                            <td>
                               @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Item No";
                                    label.Width = 52;

                                }).GetHtml()
                            <td>
                            <td style="width:7px"></td>
                            <td>
                                @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "HeaderItemNo";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Width = 100;

                                }).GetHtml()
                            </td>

                            <td> 
                                @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "KeyDownload";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Width = 100;
                                    settings.ClientVisible = false;

                                }


                                ).GetHtml()
                            
                            </td>


                            <td style="width: 500px" align="right">
                                <td>
                                @Html.DevExpress().Button(
                                        edtSetting =>
                                        {
                                            edtSetting.Name = "cmdSearch";
                                            edtSetting.Width = 80;
                                            edtSetting.Text = "Search";
                                            edtSetting.ClientSideEvents.Click = "OnSearch";
                                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Shipment", "FTR-SPEX-118-01", "SEARCH");
                                        }).GetHtml()
                                  </td>
                                  <td style="width:7px"></td>
                                  <td>
                                   @Html.DevExpress().Button(
                                    edtSetting =>
                                    {
                                        edtSetting.Name = "cmdClear";
                                        edtSetting.Width = 80;
                                        edtSetting.Text = "Clear";
                                        edtSetting.ClientSideEvents.Click = "OnClear";
                                        edtSetting.Style.Add("display", "inline-table");
                                        edtSetting.UseSubmitBehavior = true;
                                        edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Shipment", "FTR-SPEX-118-01", "CLEAR");
                                    }
                                ).GetHtml()
                            </td>
                            </tr>
                            <tr>
                                  <td>
                               @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Order Date From";
                                    label.Width = 100;

                                }).GetHtml()
                            <td>
                           
                            <td>
                                @Html.DevExpress().DateEdit(
                                      settings =>
                                    {
                                        settings.Name = "HeaderOrderDate";
                                        settings.Width = 100;
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                        settings.ReadOnly = false;
                                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                                        settings.Properties.UseMaskBehavior = true;
                                        settings.Properties.EditFormat = EditFormat.Custom;
                                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                        settings.Properties.ClientSideEvents.ValueChanged = "OrderDateFrom_OnChanged";

                                    }).GetHtml()
                            </td>
                            <td style="width:30px"></td>
                                  <td>
                               @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Order Date To";
                                    label.Width = 100;

                                }).GetHtml()
                            <td>
                           
                            <td>
                                @Html.DevExpress().DateEdit(
                                      settings =>
                                    {
                                        settings.Name = "HeaderOrderDateTo";
                                        settings.Width = 100;
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Properties.EditFormat = EditFormat.Custom;
                                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                        settings.ReadOnly = false;
                                        settings.Properties.UseMaskBehavior = true;
                                        settings.Properties.EditFormat = EditFormat.Custom;
                                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                    
                                    }).GetHtml()
                            </td>

                            
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
    </table>
    <table border = "0">
        <tr style="height:10px">
        </tr>
        <tr>
            
            <td>
                @Html.DevExpress().Button(edtSetting =>
           {
               edtSetting.Name = "cmdDownload";
               edtSetting.Width = 80;
               edtSetting.Text = "Download";
               edtSetting.ClientSideEvents.Click = "OnDownload";
               edtSetting.Style.Add("display", "inline-table");
               edtSetting.UseSubmitBehavior = true;
               edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Shipment", "FTR-SPEX-118-03", "DOWNLOAD");
           }).GetHtml()
            </td>
           
        </tr>
    </table>
</div>




<div class="content" style="min-height:400px">
 @Html.Partial("GridShipment") 

</div>
    


   